Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.UnionSetIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingSetIterator
      - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.UnionSetIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.UnionSetIterator
    extends LazyCollection.CachingSetIterator

`Iterator` that returns first the elements of the underlying collection, then the elements of the other collection, with all duplicates removed.

### Field Summary

Fields
`protected java.util.Iterator<? extends E>` `added`
`protected boolean` `innerNext`
`protected java.lang.Iterable<? extends E>` `s`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingSetIterator

`next, nextSet, returnedValues`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`UnionSetIterator​(java.lang.Iterable<? extends E> s)` Creates a new `LazyCollection.UnionIterator` for the underlying collection and `s`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### s

    protected final java.lang.Iterable<? extends E> s

#### added

    protected java.util.Iterator<? extends E> added

#### innerNext

    protected boolean innerNext

### Constructor Detail

#### UnionSetIterator

    public UnionSetIterator​(java.lang.Iterable<? extends E> s)

Creates a new `LazyCollection.UnionIterator` for the underlying collection and `s`.

Parameters:
  `s` - the collection to union with this

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection.CachingSetIterator`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Overrides:
  `next` in class `LazyCollection.CachingSetIterator`